Calculating Work in Process and Recognition

You can determine the Work in Process (WIP) amount that needs to be posted to balance sheet accounts for the period end reporting. You use the Job Calculate WIP batch job to do this.

To Calculate Work in Process:

  1. Open the [image] Job Calculate WIP batch job request window.

  2. On the Job tab, set filters to select the ranges you want to calculate. If you do not set a filter, all WIP will be calculated.

  3. On the Options tab, fill in the fields. For help about a specific field, see the Help for the batch job.

  4. To start the batch job, click OK.

Note:

Work in Process and Recognition is only calculated, it does not get posted to the general ledger. To do so, you must run the [image] Post WIP to G/L batch job when you have calculated the WIP and Recognition.

Related topics

Posting Work in Process and Recognition

Calculating and Posting Job Completion


Calculating and Posting Job Completion

When you have completed all usage posting and invoicing for a job, you need to update the job to have a Status of Completed. For jobs with a WIP Method of Completed Contract, this will now allow you to post the recognition of revenue and costs for the job. For jobs with all other WIP methods, it will allow you to reverse the last recognition postings for the job and post the final recognized profit for the job (the invoiced sales value less the total usage cost). The operation falls in three steps: Update Job Status, Calculate and Post.

To Update the Job Status

  • On the Job Card, change the Status field to Completed.

To Calculate the Job Completion

  • After updating the job status to Completed, run the [image] Job Calculate WIP batch job.

The job WIP entries created by running the batch job will now have a checkmark in the Job Complete field to show they are completion entries.

To Post the Job Completion

  • Run the [image] Job Post WIP to G/L batch job.

The job WIP G/L entries created by running the batch job will now have a checkmark in the Job Complete field to show they are completion entries.

Related topics:

Calculating Work in Process and Recognition

Posting Work in Process and Recognition


Creating and Posting a Job Sales Credit Memo

When a credit is due to a customer, you can create a credit memo for something that has been previously invoiced on a job.

To Create and Post a Job Sales Credit Memo:

  1. Open the [image] Job Task Lines window, select the task that you will make a credit memo for and click Functions, Edit Planning Lines. The Job Planning Lines window opens.

  2. Select the relevant planning lines you will credit and select Functions, Create Sales Credit Memo to open the [image] Job Transfer to Credit Memo batch job request window.

  3. On the Options tab fill in the relevant fields. For help about a specific field, see the Help for the batch job.

  4. Click OK to create the credit memo. To view an unposted credit memo, select any of the planning lines that are transferred and click Show, Sales Invoice/Credit Memo in the Job Planning Lines window.

  5. Post the credit memo.

  6. To view the posted credit memo, select any of the planning lines that are invoiced and click Show, Posted Sales Credit Memo in the Job Planning Lines window.

Related topics

Creating and Posting a Job Sales Invoice

Calculating and Posting Job Completion


Creating and Posting a Job Sales Invoice

You can create an invoice for a job or for one or more job tasks for a customer when either the work to be invoiced is complete or the date for invoicing based on an invoicing schedule has been reached.

To Create and Post a Job Sales Invoice:

  1. Open the [image] Job Create Sales Invoice batch job request window. You can open the window from either the main menu (Periodic Activities folder) or from the Job Task Lines window and press the Functions button and select Create Sales Invoice.

  2. On the Job Task tab, fill in any filters to filter the tasks to be invoiced.

  3. In the Options tab fill in the posting date and whether you want to create one invoice per task or just a single invoice for all tasks. For Help about a specific field, see the Help for the batch job.

  4. Click OK to create the invoices. To view an unposted invoice, select any of the planning lines that are transferred and click Get Sales Invoice/Credit Memo in the Job Planning Lines window.

  5. Post the invoice. To view the posted invoice, select any of the planning lines that are invoiced and click Get Posted Sales Invoice in the Job Planning Lines window.

Related topics

Creating and Posting a Job Sales Credit Memo

Calculating and Posting Job Completion


Planning Tasks in a Job

When setting up a new job, you also want to specify the various tasks involved in the job. You do this by adding new lines in the Job Task Lines window, one task per line. To get more detailed information on how to fill in the various fields, click F1 in the field to open the field help.

To Enter Tasks in a job:

  1. Open the [image] Job Task Lines window.

  2. Enter a number for the job task in the Job Task No. field (click F1 to get tips on how to number the tasks).

  3. Enter a description of the job task in the Description field.

  4. Select one of the options in the Job Task Type field: Posting, Heading, Total, Begin-Total or End-Total.

  5. If you wish to assign different posting groups to different tasks, fill in the Job Posting Group on the task. If you leave this field empty, the Job Posting Group entered in the Job Card will be used for the task.

  6. Enter Total in the WIP Calculation Group field if you wish to indicate that the WIP should be calculated for a task and all blank tasks above this task up until the previous task with Total or Closed.

Enter Closed in the WIP Calculation Group field if you wish to indicate that the WIP should not be calculated for a task and all blank tasks above this task up until the previous task with Total or Closed. You may wish to do this if some tasks are still being planned for the job and no usage or invoices have been posted yet.

Related topics

Setting Up Job Posting Groups


Posting Work in Process and Recognition

You can post the Work in Process (WIP) to balance sheet accounts for the period end reporting. You use the Job Post WIP to G/L batch job to do this.

To Post Work in Process:

  1. Open the [image] Job Post WIP to G/L batch job request window.

  2. On the Job tab, set filters to set the range of jobs you want to post WIP for. If you do not set a filter, all WIP will be posted.

  3. On the Options tab, fill in the fields. For help about a specific field, see the Help for the batch job.

  4. To start the batch job, click OK.

Related topics

Calculating Work in Process and Recognition

Calculating and Posting Job Completion


Purchasing an Item for a Job

When you need an item that will be used in a job, you purchase the item using the Purchase Invoice.

To Purchase an Item for a Job:

  1. Open the [image] Purchase Invoice.

  2. Fill in the purchase header information the same as a non job purchase.

  3. Fill in the purchase line information for the item as you would a non job purchase of an item.

  4. Assign the purchase of the item to the job by filling in the Job No. and Job Task No. fields in the purchase line.

  5. Select a line type in the Job Line Type field. Depending on your selection, a planning line will either be created or not be created when you post the usage of the item. For more detailed information, click the field and press F1.

Note:

You can manually change the default price or costs in the purchase line.

  6. Post the purchase invoice.

Related topics

Recording Usage on a Job - Items

Recording Usage on a Job - Resources and G/L Accounts


Recording Usage on a Job - Items

All usage for a particular job must be posted in a job journal. Each entry on a job journal line must be related to a job.

To Record Job Usage – Resources and G/L Accounts:

  1. Open the [image] Job Journal.

  2. Fill in the Posting Date, Document No. and Job No. fields for the journal line.

  3. Select the job task number that the usage relates to by clicking the AssistButton in the Job Task No. field.

  4. Fill in the Type and No. of the journal line. Select Item as Type option. All the values will be filled in based on the current costs and prices.

  5. Fill in the Quantity field for the journal line.

  6. The schedule and contract amounts for the job are already set up, so in the Line Type field select that no planning line will be created when you post the usage.

Note:

You can manually change the default price or costs in the journal line.

  7. For Help about any other field, click the field and press F1.

  8. Post the job journal.

Related topics

Recording Usage on a Job - Resources and G/L Accounts


Recording Usage on a Job-Resources and G/L Accounts

All work performed on the job must be posted in a job journal. Each entry on a job journal line must be related to a job.

To Record Job Usage – Resources and G/L Accounts:

  1. Open the [image] Job Journal.

  2. Fill in the Posting Date, Document No. and Job No. fields for the journal line.

  3. Select the job task number that the usage relates to by clicking the AssistButton in the Job Task No. field.

  4. Fill in the Type and No. of the journal line. Select Resource or G/L Account as Type option.

  5. Fill in the optional information for the planning line, for example, Location, Work Type, Unit of Measure, or Variant Code.

  6. Fill in the Quantity field for the journal line.

  7. The schedule and contract amounts for the job are already set up, so in the Line Type field select that no planning line will be created when you post the usage.

Note:

You can manually change the default price or costs in the journal line.

  8. For Help about any other field, click the field and press F1.

  9. Post the job journal.

Related topics

Recording Usage on a Job - Items


Setting Up Activities, Budget and Invoicing Structure for a Job

When a customer wants to know the price of a job that will be invoiced based on usage, you need to determine the budgeted costs for the job. You use the Job Task Lines window to do this.

To Set Up the Budgeted Costs for a Job:

  1. Open the [image] Job Task Lines window,

  2. Click Functions and select Edit Planning Lines.

The Job Planning Lines window opens with the Job No. and Job Task No. fields filled in, based on the job task line you were on in the Job Task Lines window.

Note:

If you are not on a job task of account type Posting, an error will be displayed saying it must be posting.

  3. Enter the line type as either Schedule, Contract or Both Schedule and Contract. Use the line types as follows:

If you do not want … | … then select Line Type option: | This means that…
 | Both Schedule and Contract | the cost and price amounts entered in the planning line are the budgeted costs for this particular planning line and the price that will be invoiced.
invoice details to be related to specific usage entries. | Schedule | the cost and price amounts entered in the planning line are the scheduled cost and scheduled price of the usage for this particular planning line. It is not necessarily the amount that will be invoiced to the customer.
invoice details to be related to specific usage entries. | Contract. Alternatively, create the entries with Line Type of Both Schedule and Contract and use the Split Planning Lines function to create separate Schedule and Contract planning lines. | the cost and price amounts entered in the Contract planning line are the contracted costs and price that will be invoiced for this particular planning line. This may relate to one or many scheduled usage amounts.
usage to be charged to customer and you do not want it to appear in the customer invoice. | Schedule | it can never be transferred to an invoice but will still be used in the WIP calculation.
usage to be charged to the customer but you want it to appear in the customer invoice to show the customer they have not had to pay for something. | Both Schedule and Contract or, if you select Contract, then change the Default Unit Price for the planning line to 0. | the planning line details can still be transferred to an invoice but will not have a price for the customer.

  4. Fill in the Planning Date field for the planning line. This is the date that usage relating to this planning line is expected to be completed and posted and also the date at which the planning line may be transferred to a sales invoice and posted.

  5. Fill in the Type and No. of the planning line – Type options are Resource, Item, G/L Account, or Text. The Description field will be filled in based on the selections made in the fields. The Unit Cost and Unit Price fields will be filled in for line types other than Text. Text is only used for filling in information in the sales invoice and credit memo documents.

  6. Fill in the optional information for the planning line, for example Location, Work Type, Unit of Measure and Variant Code. This will update the price and cost information filled in as defaults in the planning line. If Location or Variant Code is not blank, then the Type must be Item. If Work Type is not blank, then Type must be Resource.

  7. Enter the Quantity for the planning line. All total price and total cost information will now be calculated and filled in for that planning line.

Note:

If you are not happy with the default price or costs, you can manually change them in the planning line.

  8. Close the Job Planning Lines window and return to the Job Task Lines window. Here you can now see a summary of the total budgeted costs, budgeted price, contract cost and contract price for each task.

Related topics

Setting Up Jobs

Setting Up Job Posting Groups

Setting Up Job G/L Account Prices

Setting Up Job Item Prices

Setting Up Job Resource Prices


Setting Up Jobs

When you set up a new job on a job card, there are fields that must always be filled in, fields that can be filled in as needed, and fields in which you cannot enter anything.

To Set Up Jobs:

  1. Open the [image] Job Card window.

  2. Fill in the fields on the card. The following fields are mandatory:

    No.

    Bill-to Customer

    Job Posting Group

    For Help about a specific field, click the field and press F1.

Related Topics

Setting Up Job Posting Groups

Setting Up Job Item Prices

Setting Up Job Resource Prices

Setting Up Job G/L Account Prices


Setting Up Job G/L Account Prices

You can set up specific prices for G/L expenses for a job. You use the Job G/L Account Prices window to do this.

To Set Up Prices for Job G/L Accounts:

  1. Open the [image] Job Card and click Prices, G/L Account. The Job G/L Acc. Prices window opens with the job no. filled in based on the record shown in the job card.

  2. Enter the G/L account number for the expense you are creating a price for. The description of the account will be copied to the Description field on the price line.

  3. Fill in the optional information for the price, for example using the fields Job Task No., Currency Code, Line Discount %, Unit Cost Factor and Unit Cost. This information will be used in the job planning lines and job journals when this G/L account is entered.

  4. Fill in the Unit Price field for the G/L Account Expense. This will be the unit price used in the job planning lines and job journals when this G/L account is entered.

Related topics

Setting Up Jobs

Setting Up Job Item Prices

Setting Up Job Resource Prices


Setting Up Job Item Prices

You can set up specific prices for items for a job. You use the Job Item Prices window to do this.

To Set Up Prices for Items

  1. Open the [image] Job Card and click Prices, Item. The Job Item Prices window opens with the Job No. field filled in based on the record shown in the job card.

  2. Enter the Item No. (and optionally the Variant No.) for the item you are creating a price for. The description of the item/variant code will be copied to the Description field on the price line.

  3. Fill in the optional information for the price, for example using the fields Job Task No., Currency Code, Line Discount % and Unit Cost Factor. This information will be used in the job planning lines and job journals when this item is entered.

  4. Enter the unit price for the resource code and type you will set the price up for. This will be the unit price used in the job planning lines and job journals when this item is entered.

Note:

This price will always override the normal customer price (“best price” mechanism) for items. If you wish to use the normal customer price mechanisms, then you should not create any job item prices for the job.

Related topics

Setting Up Jobs

Setting Up Job G/L Account Prices

Setting Up Job Resource Prices


Setting Up Job Posting Groups

To be able to post jobs, you must set up accounts for posting for each job posting group.

To Set Up Job Posting Groups:

1. Open the [image] Job Posting Groups window.

2. Fill in the account fields as follows:

Code | Enter a code for the posting group. You can enter up to 10 characters.
WIP Costs Account | The WIP account for the calculated cost of the job WIP which is a Balance sheet capital asset account.
WIP Accrued Costs Account | An account for the Cost Value or Cost of Sales method of WIP calculation which is a Balance sheet accrued expense liability account. This will be posted to when the WIP adjustment requires usage costs posted to the income statement be increased.
Job Costs Applied Account | The balancing account to WIP Cost Account which is a contra for negative expense account.
Job Costs Adjustment Account | The balancing account to WIP Accrued Costs account which is an expense account.
G/L Expense Acc. (Contract) | The sales account to be used for G/L expenses in job tasks with this posting group. If left empty, the G/L account entered on the planning line will be used.
WIP Accrued Sales Account | The WIP account for the calculated sales value of the WIP which is a Balance Sheet Accrued Revenue account. This will be posted to when the WIP adjustment requires the recognized revenue to be increased.
WIP Invoiced Sales Account | The account for the invoiced sales value of the WIP which is not able to be recognized. It is a Balance Sheet Unearned Revenue account.
Job Sales Applied Account | The balancing account to WIP Invoiced Sales account which is a contra income account.
Job Sales Adjustment Account | The balancing account to WIP Sales Account which is an income account.
Recognized Costs Account | The expense account containing the recognized costs for the job. It is a DR expense account normally.
Recognized Sales Account | The income account containing the recognized income for the job. It is a CR income account normally.

Related topics

Setting Up Jobs

Planning Tasks in a Job


Setting Up Job Resource Prices

You can set up specific prices for resources for a job. You use the Job Resource Prices window to do this.

To Set Up Prices for Resources:

  1. Open the [image] Job Card and click Prices, Resource. The Job Resource Prices window opens with the job no. filled in based on the record shown in the job card.

  2. Enter the code and type for the resource, resource group or all resources based on which option you are creating a price for. The description of the resource code will be copied to the Description field on the price line.

  3. Fill in the optional information for the price, for example using the fields Job Task No., Work Type, Currency Code, Line Discount % and Unit Cost Factor. This information will be used in the job planning lines and usage journals when this resource is entered.

  4. Fill in the Unit Price field for the resource Code and Type you will set the price up for. This will be the Unit Price used in the job planning lines and job journals when this resource, a resource assigned to the resource group or any resource is entered.

Note:

This price will always override any prices set up in the existing Resource Price/Resource Group Price tables.

Related topics

Setting Up Jobs

Setting Up Job G/L Account Prices

Setting Up Job Item Prices


Viewing Job Ledger Entries

All job-related entries are recorded in job registers and numbered sequentially, beginning with 1.

From the job register, you can get an overview of all job ledger entries.

To View Job Ledger Entries:

  1. Open the [image] Job Registers window.

  2. Click the AssistButton in the From Entry No. field of the register you want to see.

    Now you can see the job ledger entries in the Job Ledger Entries window.

Related Topics

Recording Usage on a Job - Items

Recording Usage on a Job - Resources and G/L Accounts

Posting Work in Process